#
# spec file for package bonnie (Version 1.2)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gppshare grep groff gzip kbd less libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim

Name:         bonnie
Copyright:    Freely distributable (Artistic)
Group:        Utilities/System
Autoreqprov:  on
Summary:      File System Benchmark
Version:      1.2
Release:      148
Source: %{name}-%{version}.tar.bz2
#Patch: bonnie.dif
BuildRoot:	/var/tmp/%{name}-buildroot

%description
Bonnie is a popular performance benchmark that targets various aspects of
Unix filesystems.

Authors:
--------
    Tim Bray <tbray@textuality.com>
    Kurt Garloff <garloff@suse.de>

SuSE series: ap

%prep
%setup -n bonnie
#%patch -p1

%build
make CC=gcc CFLAGS="$RPM_OPT_FLAGS"

%install
make install DESTDIR=$RPM_BUILD_ROOT MANDIR=%{_mandir}

%files
%doc bonnie.doc README
/usr/bin/bonnie
/usr/share/man/man1/bonnie.1.gz

%changelog -n bonnie
* Wed Aug 30 2000 - garloff@suse.de
- Update to 1.2:
  * New option -u for getc_/putc_unlocked.
  * Fixed CPU percentage reports if equal or in excess of 100%%.
  * Machine name defaults to hostname now.
- Use BuildRoot.
* Sun Feb 13 2000 - garloff@suse.de
- Moved manpage to /usr/share/man
- new options -y, -S, -p
- Add warning if test-size smaller memsize
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Tue Jul 20 1999 - garloff@suse.de
- Initial check in of Big Bonnie.
- Added breakhandler to remove temporary files.
